import { AfterViewInit, ChangeDetectorRef, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
export declare const fadeIn: import("@angular/animations").AnimationReferenceMetadata;
export declare const scaleIn: import("@angular/animations").AnimationReferenceMetadata;
export declare class NgxDynamicCarouselComponent implements OnInit, AfterViewInit {
    private cdRef;
    constructor(cdRef: ChangeDetectorRef);
    mainContentTemplate: TemplateRef<any>;
    leftArrowTemplate: TemplateRef<any>;
    rightArrowtemplate: TemplateRef<any>;
    items: Array<any>;
    animationState: 'fade' | 'scale' | 'custom';
    autoPlayInterval: number;
    visibleCount: number;
    firstIndex: number;
    lastIndex: number;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    right(): void;
    left(): void;
    loop(direction: 'left' | 'right'): void;
    resetIndex(): void;
    trackByFn(): number;
}
